This documentation supports the 9.0 version of Remedy Action Request System.

To view the latest version, select the version from the Product version menu.

BMC Remedy Encryption Security compatibility

The DES and RC4 algorithms used by BMC Remedy Encryption Performance Security and BMC Remedy Encryption Premium Security are compatible with BMC Remedy AR System 5.1.2 and later. Therefore, if you have a 5.1.2 or later installation that uses encryption, you can install clients and servers from the current version without upgrading all products to the current version.

Pre-7.5.00 clients and servers cannot use the AES algorithm to exchange data.

AR System 7.5.00 and later clients and servers cannot exchange any encrypted data with 5.0 or 5.1 clients and servers.

Encryption libraries are version-specific to the servers and clients on which they are used:

  • If a client from a version prior to 8.0 exchanges data with an 8.0 or later server that has BMC Remedy Encryption Performance Security or BMC Remedy Encryption Premium Security, the client must use the encryption library file for its version, not for 8.0 or later.
  • (Windows only) If an application uses AR System components whose version numbers differ and you need BMC Remedy Encryption Performance Security or BMC Remedy Encryption Premium Security, you must add encryption libraries for all the versions. For example, if the application uses the 7.1.00 AR System plug-in server and a 7.0.00 plug-in, you must add the arencrypt71.dll and arencrypt70.dll libraries to your environment.

Important

Compatibility information in the product documentation is subject to change. For the latest, most complete information about what is officially supported, see Compatibility matrix in BMC Remedy ITSM Deployment online documentation.

Was this page helpful? Yes No Submitting... Thank you

Comments